using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
using Microsoft.EntityFrameworkCore;

namespace ms_lesService.Database.Models;

[Table("rule_metadata_types")]
[Index(nameof(RulesMetadataType.Identifier), IsUnique = true)]
public class RulesMetadataType
{
    [Column("id_rules_metadata_type")]
    [Key]
    public int Identifier { get; set; }
    
    [Column("rules_metadata_type")]
    public string Type { get; set;  }
    
    public virtual ICollection<Rule> Rules { get; set; }
}